@import url('/src/styles/styles.less');

.announcement-wrapper {
  margin: 0.5rem auto;
  padding: 1rem;
  border-bottom: 2px solid rgba(146, 158, 175, 0.2);


  .announcement-tag {
    background-color: rgba(146, 158, 175, 0.1);
    border-radius: 1rem;
  }

  .seen-unseen-btn {
    background-color: transparent;
    border: none;
  }

  .seen-unseen-btn:hover {
    cursor: pointer;
  }

  .announcement-file-action-btn-wrapper {
    display: flex;

    .announcement-file-wrapper {
      flex-grow: 2;
    }

    .announcement-seen-unseen-btn-wrapper {
      flex-grow: 1;
      display: flex;
      justify-content: flex-end;
    }
  }
}

.announcement-wrapper:hover .announcement-subject {
  text-decoration: underline;
}

.announcement-header, .announcement-name-time, .announcement-tags {
  display: flex;
}

.announcement-sender {
  font-weight: 600;
}

.announcement-sent-at {
  color: #929EAF;
}

.announcement-name-time span {
  margin-right: 2rem;
}

.announcement-tags {
  flex-grow: 1;
  justify-content: flex-end;
}

.announcement-content-wrapper {
  margin-top: 0.75rem;
}

.announcement-content-wrapper .ql-editor {
  padding: 1rem 0;
}

.announcement-subject {
  font-weight: 600;
  font-size: 1.25rem;
  color: #262626;
}

.unseen {
  background-color: rgba(146, 158, 175, 0.08);
  border-top: 2px solid rgba(146, 158, 175, 0.08);
  border-bottom: 2px solid rgba(146, 158, 175, 0.08);
}

.bottom-row-padding-mixin() {
  padding: 1em;
}

.notification-info-row-mixins() {
  border-bottom: 1px solid @blue-4;
  margin-bottom: 1em;
  padding: .7em .4em;
  width: 100%;
  justify-content: space-between;
}

.notification-action-container-mixins() {
  .card-action-item {
    padding: .5em 1em;
  }

  .card-edit-action {
    cursor: pointer;
    user-select: none;
    .action-button(@blue-5, @blue-5, @blue-6);
  }

  .card-delete-action {
    cursor: pointer;
    user-select: none;
    .action-button(@red-5, @red-5, @red-6);

  }

}

.notification-container {
  display: grid;

  height: min(250px, 25vh);

  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(4, 1fr);
  grid-column-gap: 2px;
  grid-row-gap: 0px;

  border: 1px solid @gray-5;
  border-radius: @lms-small-border-radius;
  .medium-elevation-mixin();

  .avatar-container {
    grid-area: 1 / 1 / 5 / 3;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .notification-main {
    grid-area: 1 / 3 / 5 / 13;

    .notification-detail__title {
      font-weight: 700;
      font-size: 1.2em;
      color: @blue-5;
      margin: .3em 0 0 .4em;
    }

    .notification-main__body {
      text-overflow: ellipsis;
    }
  }

  .notification-detail__meta {
    grid-area: 4 / 3 / 5 / 9;
    display: flex;
    align-items: center;
    .bottom-row-padding-mixin();


    .field-container {
      margin: 0 1em;

      .field {
        font-weight: bold;
      }

      .value {
        font-weight: 400;
      }

    }
  }

  .notification-action__container {
    grid-area: 4 / 9 / 5 / 13;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
    gap: 1em;
    .bottom-row-padding-mixin();

    .notification-action-container-mixins();
  }
}

.announcement-attachment-wrapper {
  display: flex;

  a {
    background-color: rgba(146, 158, 175, 0.1);
    color: #262626;
    padding: 0.5rem 1.5rem;
    border-radius: 0.25rem;
  }
}


.notification-detail-container {
  margin-top: 1em;

  p {

    margin: 0;
    padding: 0;
  }

  .subject-and-action-container {
    .notification-action-container-mixins();
    .notification-info-row-mixins();

    .subject-title {
      font-weight: bolder;
      font-size: 1.3em;
      color: @blue-6;
    }
  }

  .sender-container {
    .notification-info-row-mixins();

    .sender-label {
      font-weight: bolder;
      font-size: 1.2em;
    }

    .sender-container-card {
      padding: .8em .75em;
      border: 1px solid @gray-5;
      text-align: center;
      vertical-align: middle;
      display: flex;
      gap: .6em;
      align-items: center;
      border-radius: @lms-small-border-radius;

      .sender-name {
      }
    }
  }
}